QGIS Application - Bug report #18333
QgsPolygonV2.vertexAt NotimplementedError, in memory layer, polygons with z-dimension points
2018-03-05 10:41 AM - Patrick Warren

Status: Closed

Priority: Normal

Assignee:

Category: Python bindings / sipify

Affected QGIS version:2.18.17 Regression?: No
Operating System: Windows 10 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 26223
Description

On Windows, but not on Linux, trying to color polygon with z-dimension causes the error message below.

An error has occurred while executing Python code:

NotImplementedError: QgsPolygonV2.vertexAt() is abstract and must be overridden
NotlmplementedError: QgsPolygonV2.vertexAt() is abstract and must be overridden

Python version: 2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]
QGIS version: 2.18.17 Las Palmas, 98e769f70e

Python Path:

C:/PROGRA~1/QGIS2~1.18/apps/qgis-Itr/./python/plugins\processing
C:/PROGRA~1/QGIS2~1.18/apps/qgis-Itr/./python
C:/Users/patrick.warren/.qgis2/python

C:/Users/patrick.warren/.qgis2/python/plugins
C:/PROGRA~1/QGIS2~1.18/apps/qgis-Itr/./python/plugins
C:\PROGRA~1\QGIS2~1.18\bin\python27.zip
C:\PROGRA~1\QGIS2~1.18\apps\Python27\DLLs
C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib
C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\plat-win
C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\lib-tk
C:\PROGRA~1\QGIS2~1.18\bin

C:\PROGRA~1\QGIS2~1.18\apps\Python27
C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages
C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages\jinja2-2.7.2-py2.7.egg
C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages\markupsafe-0.23-py2.7-win-amd64.egg
C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages\win32
C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages\win32\lib
C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages\Pythonwin
C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages\Shapely-1.2.18-py2.7-win-amd64.egg
C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages\wx-2.8-msw-unicode
C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages\xIrd-0.9.2-py2.7.egg
C:\PROGRA~1\QGIS2~1.18\apps\Python27\lib\site-packages\xiwt-0.7.5-py2.7.egg
C:/Users/patrick.warren/.qgis2//python

History

#1 - 2018-03-06 11:41 AM - Giovanni Manghi
- Priority changed from Low to Normal
#2 - 2018-10-22 06:34 PM - Denis Rouzaud

- Assignee deleted (Denis Rouzaud)

sorry, there is no plan on my side to work on 2.18 bindings

#3 - 2018-10-22 10:22 PM - Nyall Dawson
- Status changed from Open to Closed

Let's close as won't fix then. It works in 3.x
